diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -20232,14 +20434,14 @@ (define-public rust-generic-array-0.14
     (name "rust-generic-array")
     (version "0.14.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "generic-array" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05qqwm9v5asbil9z28wjkmpfvs1c5c99n8n9gwxis3d3r3n6c52h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "generic-array" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05qqwm9v5asbil9z28wjkmpfvs1c5c99n8n9gwxis3d3r3n6c52h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20385,14 +20587,14 @@ (define-public rust-geo-types-0.7
     (name "rust-geo-types")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "geo-types" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fyj8ldl4xirhr8aawwiaslkklkzml2r5var87vqyp4zvnajxgfq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "geo-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fyj8ldl4xirhr8aawwiaslkklkzml2r5var87vqyp4zvnajxgfq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20414,14 +20616,14 @@ (define-public rust-geo-types-0.6
     (name "rust-geo-types")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "geo-types" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wivy6r2bzc32gxp5g5j689qz6p9ls5qgq0z8q64aayv3xd950vm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "geo-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wivy6r2bzc32gxp5g5j689qz6p9ls5qgq0z8q64aayv3xd950vm"))))
     (arguments
      `(#:cargo-inputs
        (("rust-approx" ,rust-approx-0.3)
@@ -20543,13 +20745,13 @@ (define-public rust-getopts-0.2
     (name "rust-getopts")
     (version "0.2.21")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "getopts" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1mgb3qvivi26gs6ihqqhh8iyhp3vgxri6vwyrwg28w0xqzavznql"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "getopts" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1mgb3qvivi26gs6ihqqhh8iyhp3vgxri6vwyrwg28w0xqzavznql"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20675,14 +20877,14 @@ (define-public rust-gettext-rs-0.7
     (name "rust-gettext-rs")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r7kahqcjrkm83d3gzzkn83fnw2bnqj2ank5z6hsm66izalai7p4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r7kahqcjrkm83d3gzzkn83fnw2bnqj2ank5z6hsm66izalai7p4"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20703,14 +20905,14 @@ (define-public rust-gettext-rs-0.6
     (name "rust-gettext-rs")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "040nizg9l5ap2vqgq4d2va2hi6cpykj46g8q1z9xv393vjlygx1x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "040nizg9l5ap2vqgq4d2va2hi6cpykj46g8q1z9xv393vjlygx1x"))))
     (arguments
      `(#:cargo-inputs
        (("rust-gettext-sys" ,rust-gettext-sys-0.21)
@@ -20724,14 +20926,14 @@ (define-public rust-gettext-rs-0.5
     (name "rust-gettext-rs")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qc9a63i54b9ad3jx951hn7xb6xf76c9f3hmi2cdy2m7rhczm58v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qc9a63i54b9ad3jx951hn7xb6xf76c9f3hmi2cdy2m7rhczm58v"))))
     (arguments
      `(#:cargo-inputs
        (("rust-gettext-sys" ,rust-gettext-sys-0.19)
@@ -20743,14 +20945,14 @@ (define-public rust-gettext-rs-0.4
     (name "rust-gettext-rs")
     (version "0.4.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0z6fcsn1g3w9mlgfj6ln6qvqf8610w3zwvk6g062h657v114lifz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0z6fcsn1g3w9mlgfj6ln6qvqf8610w3zwvk6g062h657v114lifz"))))
     (arguments
      `(#:cargo-inputs
        (("rust-gettext-sys" ,rust-gettext-sys-0.19)
@@ -20761,17 +20963,17 @@ (define-public rust-gettext-sys-0.21
     (name "rust-gettext-sys")
     (version "0.21.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "105d5zh67yc5vyzmqxdw7hx82h606ca6rzhsfjgzjczn2s012pc8"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file "gettext-0.21.tar.xz") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "105d5zh67yc5vyzmqxdw7hx82h606ca6rzhsfjgzjczn2s012pc8"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file "gettext-0.21.tar.xz") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20790,17 +20992,17 @@ (define-public rust-gettext-sys-0.19
     (name "rust-gettext-sys")
     (version "0.19.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0lzi6ja81vc16mhcdmn3lw35120n9ijhvsy5dh5775mpbfxc8d70"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file "gettext-0.19.8.1.tar.xz") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0lzi6ja81vc16mhcdmn3lw35120n9ijhvsy5dh5775mpbfxc8d70"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file "gettext-0.19.8.1.tar.xz") #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1))))))
@@ -20810,14 +21012,14 @@ (define-public rust-gfa-0.10
     (name "rust-gfa")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gfa" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hadm6vfjwyqw41bqci18wb4wv80rydmrag7a5c02pdp1gid14fw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gfa" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hadm6vfjwyqw41bqci18wb4wv80rydmrag7a5c02pdp1gid14fw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20846,14 +21048,14 @@ (define-public rust-gfa-0.6
     (name "rust-gfa")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gfa" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ghmy4r0324s6vvmj9nmh326346nkwm7nybnpcpswnjvf02b85gw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gfa" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ghmy4r0324s6vvmj9nmh326346nkwm7nybnpcpswnjvf02b85gw"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bstr" ,rust-bstr-0.2)
@@ -20943,14 +21145,14 @@ (define-public rust-gimli-0.20
     (name "rust-gimli")
     (version "0.20.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gimli" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cz6wg1niwfqf0mk28igsdnsm92cs57cai9jpzdmvw6hma863pc1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gimli" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cz6wg1niwfqf0mk28igsdnsm92cs57cai9jpzdmvw6hma863pc1"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -21387,13 +21589,13 @@ (define-public rust-glob-0.3
     (name "rust-glob")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "glob" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0x25wfr7vg3mzxc9x05dcphvd3nwlcmbnxrvwcvrrdwplcrrk4cv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glob" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0x25wfr7vg3mzxc9x05dcphvd3nwlcmbnxrvwcvrrdwplcrrk4cv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -21413,13 +21615,13 @@ (define-public rust-glob-0.2
     (name "rust-glob")
     (version "0.2.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "glob" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1ysvi72slkw784fcsymgj4308c3y03gwjjzqxp80xdjnkbh8vqcb"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glob" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1ysvi72slkw784fcsymgj4308c3y03gwjjzqxp80xdjnkbh8vqcb"))))))
 
 (define-public rust-globset-0.4
   (package
@@ -21540,14 +21742,14 @@ (define-public rust-goblin-0.2
     (name "rust-goblin")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "goblin" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1j38fkqadbsjxawr3wnj9m0qaihcwp6pmfakmhsar881509y7mfx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "goblin" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j38fkqadbsjxawr3wnj9m0qaihcwp6pmfakmhsar881509y7mfx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -21567,14 +21769,14 @@ (define-public rust-goblin-0.1
     (name "rust-goblin")
     (version "0.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "goblin" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1nn0aa2jf207gbyccxnrzm7n217di025z5y1ybblp7nkk11j309h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "goblin" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1nn0aa2jf207gbyccxnrzm7n217di025z5y1ybblp7nkk11j309h"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -22055,32 +22257,32 @@ (define-public rust-handlebars-2
     (name "rust-handlebars")
     (version "2.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "handlebars" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1m99gwjd7q7q79bk4f716wsdvcyhsrcsq4vbzcavbkmc48d194mg"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-        (("rust-hashbrown" ,rust-hashbrown-0.5)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-pest" ,rust-pest-2)
-         ("rust-pest-derive" ,rust-pest-derive-2)
-         ("rust-quick-error" ,rust-quick-error-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-json" ,rust-serde-json-1)
-         ("rust-walkdir" ,rust-walkdir-2))
-        #:cargo-development-inputs
-        (("rust-criterion" ,rust-criterion-0.2)
-         ("rust-env-logger" ,rust-env-logger-0.6)
-         ("rust-maplit" ,rust-maplit-1)
-         ("rust-serde-derive" ,rust-serde-derive-1)
-         ("rust-tempfile" ,rust-tempfile-3))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "handlebars" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1m99gwjd7q7q79bk4f716wsdvcyhsrcsq4vbzcavbkmc48d194mg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-hashbrown" ,rust-hashbrown-0.5)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-pest" ,rust-pest-2)
+        ("rust-pest-derive" ,rust-pest-derive-2)
+        ("rust-quick-error" ,rust-quick-error-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-walkdir" ,rust-walkdir-2))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.2)
+        ("rust-env-logger" ,rust-env-logger-0.6)
+        ("rust-maplit" ,rust-maplit-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-tempfile" ,rust-tempfile-3))))
     (home-page "https://github.com/sunng87/handlebars-rust")
     (synopsis "Handlebars templating implemented in Rust")
     (description
@@ -22093,14 +22295,14 @@ (define-public rust-handlegraph-0.3
     (name "rust-handlegraph")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "handlegraph" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1sj100w4lpj7798pws85qrfrzsily5hhzh6j118rwf56sgic1yml"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "handlegraph" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1sj100w4lpj7798pws85qrfrzsily5hhzh6j118rwf56sgic1yml"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -22544,13 +22746,13 @@ (define-public rust-heapsize-0.3
     (name "rust-heapsize")
     (version "0.3.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "heapsize" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0dmwc37vgsdjzk10443dj4f23439i9gch28jcwzmry3chrwx8v2m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heapsize" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0dmwc37vgsdjzk10443dj4f23439i9gch28jcwzmry3chrwx8v2m"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs (("rust-kernel32-sys" ,rust-kernel32-sys-0.2))))))
@@ -22561,13 +22763,13 @@ (define-public rust-heapsize-plugin-0.1
     (name "rust-heapsize-plugin")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "heapsize_plugin" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1i72isf699q9jl167g2kg4xd6h3cd05rc79zaph58aqjy0g0m9y9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heapsize_plugin" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1i72isf699q9jl167g2kg4xd6h3cd05rc79zaph58aqjy0g0m9y9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -22584,13 +22786,13 @@ (define-public rust-heck-0.3
     (name "rust-heck")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "heck" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1b56s2c1ymdd0qmy31bw0ndhm31hcdamnhg3npp7ssrmc1ag9jw7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heck" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1b56s2c1ymdd0qmy31bw0ndhm31hcdamnhg3npp7ssrmc1ag9jw7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -22610,21 +22812,21 @@ (define-public rust-hermit-abi-0.1
     (name "rust-hermit-abi")
     (version "0.1.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hermit-abi" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0blmmzik5cs79ivq70s9gal8ypgzj50wnl2hwsaam46gjjbz2p3j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hermit-abi" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0blmmzik5cs79ivq70s9gal8ypgzj50wnl2hwsaam46gjjbz2p3j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-        (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1))))
+       (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1))))
     (home-page "https://github.com/hermitcore/rusty-hermit")
     (synopsis "Small interface to call functions from RustyHermit")
     (description
@@ -22658,13 +22860,13 @@ (define-public rust-hex-0.3
     (name "rust-hex")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hex" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0xsdcjiik5j750j67zk42qdnmm4ahirk3gmkmcqgq7qls2jjcl40"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hex" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0xsdcjiik5j750j67zk42qdnmm4ahirk3gmkmcqgq7qls2jjcl40"))))))
 
 (define-public rust-hex-0.2
   (package
@@ -22832,14 +23034,14 @@ (define-public rust-hmac-0.11
     (name "rust-hmac")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "16z61aibdg4di40sqi4ks2s4rz6r29w4sx4gvblfph3yxch26aia"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "16z61aibdg4di40sqi4ks2s4rz6r29w4sx4gvblfph3yxch26aia"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -22863,14 +23065,14 @@ (define-public rust-hmac-0.10
     (name "rust-hmac")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
     (arguments
      `(#:cargo-inputs
        (("rust-crypto-mac" ,rust-crypto-mac-0.10)
@@ -22886,14 +23088,14 @@ (define-public rust-hmac-0.8
     (name "rust-hmac")
     (version "0.8.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0h48wc7iysh4xd6ci4prh8bb7nszijrh9w3blaaq8a6cilk8hs0j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0h48wc7iysh4xd6ci4prh8bb7nszijrh9w3blaaq8a6cilk8hs0j"))))
     (arguments
      `(#:cargo-inputs
        (("rust-crypto-mac" ,rust-crypto-mac-0.8)
@@ -22909,14 +23111,14 @@ (define-public rust-hmac-0.7
     (name "rust-hmac")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "15cnwpssp2n1kdm9x7abir67f2hp3q6rdfj1mcck3hm4rmj5xjsx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "15cnwpssp2n1kdm9x7abir67f2hp3q6rdfj1mcck3hm4rmj5xjsx"))))
     (arguments
      `(#:cargo-inputs
        (("rust-crypto-mac" ,rust-crypto-mac-0.7)
@@ -22992,14 +23194,14 @@ (define-public rust-hostname-0.3
     (name "rust-hostname")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hostname" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rz8yf70cvzl3nry71m4bz9w6x4j9kdz3qng6pnwhk2h20z1qwrw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hostname" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rz8yf70cvzl3nry71m4bz9w6x4j9kdz3qng6pnwhk2h20z1qwrw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -23020,13 +23222,13 @@ (define-public rust-hostname-0.1
     (name "rust-hostname")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hostname" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kprf862qaa7lwdms6aw7f3275h0j2rwhs9nz5784pm8hdmb9ki1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hostname" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kprf862qaa7lwdms6aw7f3275h0j2rwhs9nz5784pm8hdmb9ki1"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -24693,14 +24895,14 @@ (define-public rust-interpolate-name-0.2
     (name "rust-interpolate-name")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "interpolate_name" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05vzsiqb69d1mbpaphcg4ifjsjs6g03b8pacskfcydqhh555zcxl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "interpolate_name" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05vzsiqb69d1mbpaphcg4ifjsjs6g03b8pacskfcydqhh555zcxl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -24719,14 +24921,14 @@ (define-public rust-interpolation-0.2
     (name "rust-interpolation")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "interpolation" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "00icvvgc72zdgyrwwg2p0wad4hry4d2vd6l9iqpyjpmw5dykbdyk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "interpolation" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "00icvvgc72zdgyrwwg2p0wad4hry4d2vd6l9iqpyjpmw5dykbdyk"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/pistondevelopers/interpolation")
@@ -24765,13 +24967,13 @@ (define-public rust-iovec-0.1
     (name "rust-iovec")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "iovec" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ph73qygwx8i0mblrf110cj59l00gkmsgrpzz1rm85syz5pymcxj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "iovec" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ph73qygwx8i0mblrf110cj59l00gkmsgrpzz1rm85syz5pymcxj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25046,14 +25248,14 @@ (define-public rust-iso8601-0.1
     (name "rust-iso8601")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "iso8601" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0xy48qyfmirslaj4dy6n4g8b564jap3cjiql35fmj5vgii7ldp0i"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "iso8601" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xy48qyfmirslaj4dy6n4g8b564jap3cjiql35fmj5vgii7ldp0i"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -25093,14 +25295,14 @@ (define-public rust-itertools-0.9
     (name "rust-itertools")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itertools" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0jyml7ygr7kijkcjdl3fk5f34y5h5jsavclim7l13zjiavw1hkr8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itertools" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jyml7ygr7kijkcjdl3fk5f34y5h5jsavclim7l13zjiavw1hkr8"))))
     (arguments
      `(#:cargo-inputs
        (("rust-either" ,rust-either-1))
@@ -25146,13 +25348,13 @@ (define-public rust-itertools-0.7
     (name "rust-itertools")
     (version "0.7.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itertools" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03cpsj26xmyamcalclqzr1i700vwx8hnbgxbpjvs354f8mnr8iqd"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itertools" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03cpsj26xmyamcalclqzr1i700vwx8hnbgxbpjvs354f8mnr8iqd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-either" ,rust-either-1))
@@ -25166,13 +25368,13 @@ (define-public rust-itertools-0.5
     (name "rust-itertools")
     (version "0.5.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itertools" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1z4lyrakgynvhylya72qb3vizmxmd62whjmg4r8k01d4inbxccs8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itertools" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1z4lyrakgynvhylya72qb3vizmxmd62whjmg4r8k01d4inbxccs8"))))
     (arguments
      `(#:tests? #f ; Tests fail to compile
        #:cargo-inputs
@@ -25216,13 +25418,13 @@ (define-public rust-itoa-0.4
     (name "rust-itoa")
     (version "0.4.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13nxqrfnh83a7x5rw4wq2ilp8nxvwy74dxzysdg59dbxqk0agdxq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13nxqrfnh83a7x5rw4wq2ilp8nxvwy74dxzysdg59dbxqk0agdxq"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/dtolnay/itoa")
     (synopsis "Fast functions for printing integer primitives")
@@ -25247,11 +25449,11 @@ (define-public rust-itoa-0.3
          "136vwi6l2k1vrlvfx49lhficj813pk88xrcx1q3axqh1mwms6943"))))))
 
 (define-public rust-itoa-0.1
- (package
-   (inherit rust-itoa-0.4)
-   (name "rust-itoa")
-   (version "0.1.1")
-   (source
+  (package
+    (inherit rust-itoa-0.4)
+    (name "rust-itoa")
+    (version "0.1.1")
+    (source
      (origin
        (method url-fetch)
        (uri (crate-uri "itoa" version))
@@ -25265,14 +25467,14 @@ (define-public rust-ivf-0.1
     (name "rust-ivf")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ivf" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wfjf3rilqavrhvwagzinvng9dg28wcjk3c6c6p5qmc1xy65qfh1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ivf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wfjf3rilqavrhvwagzinvng9dg28wcjk3c6c6p5qmc1xy65qfh1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
